import matplotlib.pyplot as plt
import numpy as np
import matplotlib
#matplotlib.use('Qt5Agg')
from src import coil_class as BC


Wire_1 = [0.5, 0.568]
I_current = 1.33
HH_Coil = BC.BCoil(HH = 1, distance = 54, radius = 48, layers = 10, windings = 8, wire_height = Wire_1[0], wire_width = Wire_1[0], insulation_thickness=(Wire_1[1] - Wire_1[0]) / 2, is_round = True, winding_scheme= 2)

#set radius plus distance
HH_Coil.set_R_outer(50.5 - HH_Coil.get_tot_wire_width())
HH_Coil.set_d_min(47.15)

I = 5
I = 60/HH_Coil.get_N() * I
print(I)
HH_Coil.cooling(I, 25)